## Class C128AObject

Description

Code 128-A Barcode Render Class for PHP using the GD graphics library.
Code 128-A is a continuous, multilevel and include all upper case alphanumeric characters and ASCII control characters.

- author: Karim Mribti, Nicola Asuni
- version: 0.0.8a 2001-04-01 (original code)
- since: 2001-03-25
- name: BarcodeObject
- license: LGPL

Located in /barcode/c128aobject.php (line 48)

    BarcodeObject
       |
       --C128AObject

Method Summary
C128AObject __construct (int $Width, int $Height, int $Style, int $Value)
int DrawCheckChar (int $DrawPos, int $yPos, int $ySize, int $xres)
bool DrawObject (int $xres)
int DrawStart (int $DrawPos, int $yPos, int $ySize, int $xres)
int DrawStop (int $DrawPos, int $yPos, int $ySize, int $xres)
int GetBarSize (int $xres, char $char)
int GetCharIndex (char $char)
string. GetCheckCharValue ()
barcode GetSize (int $xres)
Variables

#### Inherited Variables

Inherited from BarcodeObject

> BarcodeObject::$mBgcolor
> BarcodeObject::$mBrush
> BarcodeObject::$mChars
> BarcodeObject::$mCharSet
> BarcodeObject::$mError
> BarcodeObject::$mFont
> BarcodeObject::$mHeight
> BarcodeObject::$mImg
> BarcodeObject::$mStyle
> BarcodeObject::$mWidth

Methods
Constructor __construct (line 57)

Class Constructor.

- access: public

C128AObject __construct (int $Width, int $Height, int $Style, int $Value)

- int $Width: Image width in pixels.
- int $Height: Image height in pixels.
- int $Style: Barcode style.
- int $Value: value to print on barcode.

Redefinition of:

BarcodeObject::__construct()
  Class Constructor.

DrawCheckChar (line 327)

Draws the check-char code.

- return: drawing position.
- access: private

int DrawCheckChar (int $DrawPos, int $yPos, int $ySize, int $xres)

- int $DrawPos: Drawing position.
- int $yPos: Vertical position.
- int $ySize: Vertical size.
- int $xres: Horizontal resolution.

DrawObject (line 346)

Draws the barcode object.

- return: true in case of success.
- access: public

bool DrawObject (int $xres)

- int $xres: Horizontal resolution.

Redefinition of:

BarcodeObject::DrawObject()
  Abstract method used to draw the barcode image.

DrawStart (line 279)

Draws the start code.

- return: drawing position.
- access: private

int DrawStart (int $DrawPos, int $yPos, int $ySize, int $xres)

- int $DrawPos: Drawing position.
- int $yPos: Vertical position.
- int $ySize: Vertical size.
- int $xres: Horizontal resolution.

DrawStop (line 302)

Draws the stop code.

- return: drawing position.
- access: private

int DrawStop (int $DrawPos, int $yPos, int $ySize, int $xres)

- int $DrawPos: Drawing position.
- int $yPos: Vertical position.
- int $ySize: Vertical size.
- int $xres: Horizontal resolution.

GetBarSize (line 190)

Returns the bar size.

- return: barcode size.
- access: private

int GetBarSize (int $xres, char $char)

- int $xres: Horizontal resolution.
- char $char: Character.

GetCharIndex (line 174)

Returns the character index.

- return: character index or -1 in case of error.
- access: private

int GetCharIndex (char $char)

- char $char: character.

GetCheckCharValue (line 260)

Returns the check-char value.

- access: private

string. GetCheckCharValue ()
GetSize (line 221)

Returns barcode size.

- return: size.
- access: private

barcode GetSize (int $xres)

- int $xres: Horizontal resolution.

#### Inherited Methods

Inherited From BarcodeObject

> BarcodeObject::__construct()
> BarcodeObject::DestroyObject()
> BarcodeObject::DrawBorder()
> BarcodeObject::DrawChar()
> BarcodeObject::DrawObject()
> BarcodeObject::DrawSingleBar()
> BarcodeObject::DrawText()
> BarcodeObject::FlushObject()
> BarcodeObject::GetError()
> BarcodeObject::GetFontHeight()
> BarcodeObject::GetFontWidth()
> BarcodeObject::getImage()
> BarcodeObject::GetStyle()
> BarcodeObject::SetFont()
> BarcodeObject::SetStyle()
> BarcodeObject::__destructor()

Documentation generated on Tue, 12 Feb 2008 12:36:38 +0100 by phpDocumentor 1.4.0